PSA! EU4 v 1.10.1 and 1.11.4 will soon be unavailable through Steam!

grotaclas

Field Marshal
41 Badges
Aug 7, 2019
3.267
2.592
  • Europa Universalis IV
  • Victoria 3 Sign Up
  • Europa Universalis IV: Call to arms event
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Res Publica
  • Europa Universalis IV: Art of War
  • Europa Universalis IV: El Dorado
  • Europa Universalis IV: Common Sense
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mandate of Heaven
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Cradle of Civilization
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Golden Century
  • Europa Universalis 4: Emperor
  • Cities: Skylines
How to get the files via DepotDownloader?
You can find tutorials on the internet for how to download old versions of steam games with depotdownloader. And some eu4 specific information is in the following comments:
 

zyxx

Second Lieutenant
30 Badges
Apr 21, 2010
162
51
  • Europa Universalis III: Chronicles
  • Europa Universalis IV: Pre-order
  • Europa Universalis IV: Res Publica
  • Pirates of Black Cove
  • Heir to the Throne
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Art of War
  • Europa Universalis IV
  • Divine Wind
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis III
  • Cities: Skylines - Campus
  • Europa Universalis IV: Golden Century
  • Cities: Skylines Industries
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Cradle of Civilization
  • Cities: Skylines - Green Cities
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Mandate of Heaven
  • Cities: Skylines - Mass Transit
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Common Sense
  • Europa Universalis III: Collection
  • 500k Club
  • Victoria 2
  • Europa Universalis IV: El Dorado
  • Cities: Skylines
You can find tutorials on the internet for how to download old versions of steam games with depotdownloader. And some eu4 specific information is in the following comments:
Thank you. I did exactly that.
I got the Eu4.exe and Eu4Server.exe and still had a wrong checksum, so I assumed that some other file is missing/corrupt and therefor I was asking you how to find all the other files with depotloader, because I couldn't find these other files.
If all the other files for 1.11.4 are no longer there, I can`t change that, but I would give up trying to find them.
 

grotaclas

Field Marshal
41 Badges
Aug 7, 2019
3.267
2.592
  • Europa Universalis IV
  • Victoria 3 Sign Up
  • Europa Universalis IV: Call to arms event
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Res Publica
  • Europa Universalis IV: Art of War
  • Europa Universalis IV: El Dorado
  • Europa Universalis IV: Common Sense
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mandate of Heaven
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Cradle of Civilization
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Golden Century
  • Europa Universalis 4: Emperor
  • Cities: Skylines
Thank you. I did exactly that.
I got the Eu4.exe and Eu4Server.exe and still had a wrong checksum, so I assumed that some other file is missing/corrupt and therefor I was asking you how to find all the other files with depotloader, because I couldn't find these other files.
If all the other files for 1.11.4 are no longer there, I can`t change that, but I would give up trying to find them.
As I said in the second comment which I linked, you have to download multiple depots. The exe files are in depot 236852, but the rest of the non-DLC files are in 236851 (called "Europa Universalis IV Content"). And you have to make sure that you use the manifest ID from the date which corresponds to your version. 1.11.4 was released on 23 Mar 2015.
 

grotaclas

Field Marshal
41 Badges
Aug 7, 2019
3.267
2.592
  • Europa Universalis IV
  • Victoria 3 Sign Up
  • Europa Universalis IV: Call to arms event
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Res Publica
  • Europa Universalis IV: Art of War
  • Europa Universalis IV: El Dorado
  • Europa Universalis IV: Common Sense
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mandate of Heaven
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Cradle of Civilization
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Golden Century
  • Europa Universalis 4: Emperor
  • Cities: Skylines
do you now which is the manifest ID of the europa universalis leviathan dlc ? I don't manage find it in steamdb
The depot ID is 1416420. Steam DB calls it "EU4 - Captain Placeholder". There are several manifest IDs for it depending on the patch you would want. But I think you can get all of them from the normal betas list, because they are still available. So there isn't really a need to download it with depot downloader. And you can't use a DLC with game versions which are older than the DLC, because their exe files don't contain the necessary features.
 

zyxx

Second Lieutenant
30 Badges
Apr 21, 2010
162
51
  • Europa Universalis III: Chronicles
  • Europa Universalis IV: Pre-order
  • Europa Universalis IV: Res Publica
  • Pirates of Black Cove
  • Heir to the Throne
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Art of War
  • Europa Universalis IV
  • Divine Wind
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis III
  • Cities: Skylines - Campus
  • Europa Universalis IV: Golden Century
  • Cities: Skylines Industries
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Cradle of Civilization
  • Cities: Skylines - Green Cities
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Mandate of Heaven
  • Cities: Skylines - Mass Transit
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Common Sense
  • Europa Universalis III: Collection
  • 500k Club
  • Victoria 2
  • Europa Universalis IV: El Dorado
  • Cities: Skylines
As I said in the second comment which I linked, you have to download multiple depots. The exe files are in depot 236852, but the rest of the non-DLC files are in 236851 (called "Europa Universalis IV Content"). And you have to make sure that you use the manifest ID from the date which corresponds to your version. 1.11.4 was released on 23 Mar 2015.
Thank you. I found the files. :)
 

zyxx

Second Lieutenant
30 Badges
Apr 21, 2010
162
51
  • Europa Universalis III: Chronicles
  • Europa Universalis IV: Pre-order
  • Europa Universalis IV: Res Publica
  • Pirates of Black Cove
  • Heir to the Throne
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Art of War
  • Europa Universalis IV
  • Divine Wind
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis III
  • Cities: Skylines - Campus
  • Europa Universalis IV: Golden Century
  • Cities: Skylines Industries
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Cradle of Civilization
  • Cities: Skylines - Green Cities
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Mandate of Heaven
  • Cities: Skylines - Mass Transit
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Common Sense
  • Europa Universalis III: Collection
  • 500k Club
  • Victoria 2
  • Europa Universalis IV: El Dorado
  • Cities: Skylines
Despite having the correct checksums some older versions deny ironman mode. And the dlc in 1.8 and 1.9 is inactive ( had to copy them from a later version into the folder ). Anyone knows how to fix it or is it unfixable?
 

teo1901

Corporal
Feb 18, 2021
26
6
I tried on depotdownloader to write the codes in this order :
1) Code for eu4 content : dotnet DepotDownloader.dll -app 236850 -depot 236851 -manifest 7279213697246648383 -username <steamloginname> -password <password>; 2) Code for eu4 PC : dotnet DepotDownloader.dll -app 236850 -depot 236852 -manifest 3125701138415547388 -username <steamloginname> -password <password> ; 3) Code for eu4 1.12.2 : dotnet DepotDownloader.dll -app 236850 -depot 236851 -manifest 791087571177382882 -username <steamloginname> -password <password>
I try to click on enter and on the screen appear the following sentences : "impossible to find the specified file" "system runtime version = 5.0.0.0" , which is the correct order to enter these codes ? Perchance I also have to enter the depots, apps and manifests of my dlcs in addition to the other three codes I entered ?
 
Last edited:

grotaclas

Field Marshal
41 Badges
Aug 7, 2019
3.267
2.592
  • Europa Universalis IV
  • Victoria 3 Sign Up
  • Europa Universalis IV: Call to arms event
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Res Publica
  • Europa Universalis IV: Art of War
  • Europa Universalis IV: El Dorado
  • Europa Universalis IV: Common Sense
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mandate of Heaven
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Cradle of Civilization
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Golden Century
  • Europa Universalis 4: Emperor
  • Cities: Skylines
Despite having the correct checksums some older versions deny ironman mode
What does the tooltip say in this case?
And the dlc in 1.8 and 1.9 is inactive
For these version only Art of War and older DLC will work and you might need to download the correct versions of the DLCs with DepotDownloader. Several of the DLCs which I looked at were changed for the 1.10 release and on 16 June 2014 (during the 1.6 release cycle), so 1.8 and 1.9 probably need the 16 June 2014 version.

I try to click on enter and on the screen appear the following sentences : "impossible to find the specified file" "system runtime version = 5.0.0.0" , which is the correct order to enter this codes ?
The code for 1.12 is correct, but you would also need the EU4 PC for that version. The other codes should work, but the first one is for 1.28.3 and the eu4 PC is for 1.31.6 which will not work together.
I'm not very familiar with dotnet application, but I think your error indicates that you don't have version 5 of the dotnet runtime. You can download it from https://dotnet.microsoft.com/download
 

zyxx

Second Lieutenant
30 Badges
Apr 21, 2010
162
51
  • Europa Universalis III: Chronicles
  • Europa Universalis IV: Pre-order
  • Europa Universalis IV: Res Publica
  • Pirates of Black Cove
  • Heir to the Throne
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Art of War
  • Europa Universalis IV
  • Divine Wind
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis III
  • Cities: Skylines - Campus
  • Europa Universalis IV: Golden Century
  • Cities: Skylines Industries
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Cradle of Civilization
  • Cities: Skylines - Green Cities
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Mandate of Heaven
  • Cities: Skylines - Mass Transit
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Common Sense
  • Europa Universalis III: Collection
  • 500k Club
  • Victoria 2
  • Europa Universalis IV: El Dorado
  • Cities: Skylines
What does the tooltip say in this case?

For these version only Art of War and older DLC will work and you might need to download the correct versions of the DLCs with DepotDownloader. Several of the DLCs which I looked at were changed for the 1.10 release and on 16 June 2014 (during the 1.6 release cycle), so 1.8 and 1.9 probably need the 16 June 2014 version.
The tooltip says: Ironman needs user to be logged on to Steam.
OR Ironman needs Steam cloud enabled and user logged on to on Steam (Steam is running in the background)

The dlc "worked" in 1.6.x - couldn't transfer occupied provinces despite Art of War.

Depotdownloaded purple phoenix and art of war, but while mods were shown, dlc was black (greyed out). [1.8. and 1.9 only]
 

grotaclas

Field Marshal
41 Badges
Aug 7, 2019
3.267
2.592
  • Europa Universalis IV
  • Victoria 3 Sign Up
  • Europa Universalis IV: Call to arms event
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Res Publica
  • Europa Universalis IV: Art of War
  • Europa Universalis IV: El Dorado
  • Europa Universalis IV: Common Sense
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mandate of Heaven
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Cradle of Civilization
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Golden Century
  • Europa Universalis 4: Emperor
  • Cities: Skylines
The tooltip says: Ironman needs user to be logged on to Steam.
OR Ironman needs Steam cloud enabled and user logged on to on Steam (Steam is running in the background)
hmm. Maybe these versions communicate with steam differently and don't work if they are started from eu4.exe. As a workaround you could try to go back to the oldest available version on steam and then delete everything in the eu4 installation folder and then put your 1.8/1.9 files there and then start the game directly from the steam client.
But how did you acquire them? From your previous comments it seems that you had them even though depotdownloader was not working for you. If you acquired them via some illegal means, you probably have a version which is modified to not communicate with steam.

The dlc "worked" in 1.6.x - couldn't transfer occupied provinces despite Art of War.
I don't understand this sentence. Does the DLC work in 1.6 or not?
Depotdownloaded purple phoenix and art of war, but while mods were shown, dlc was black (greyed out). [1.8. and 1.9 only]
Which manifests did you download and where did you put the files? I think you would need 6975825580552310792 for purple phoenix and 6446907829560694002 for Art of War. For the DLCs to work, you have to put the files dlc006.dlc, dlc006.zip, dlc027.dlc and dlc027.zip in the "dlc" subfolder in the folder where eu4.exe is located.
 

zyxx

Second Lieutenant
30 Badges
Apr 21, 2010
162
51
  • Europa Universalis III: Chronicles
  • Europa Universalis IV: Pre-order
  • Europa Universalis IV: Res Publica
  • Pirates of Black Cove
  • Heir to the Throne
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Art of War
  • Europa Universalis IV
  • Divine Wind
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis III
  • Cities: Skylines - Campus
  • Europa Universalis IV: Golden Century
  • Cities: Skylines Industries
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Cradle of Civilization
  • Cities: Skylines - Green Cities
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Mandate of Heaven
  • Cities: Skylines - Mass Transit
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Common Sense
  • Europa Universalis III: Collection
  • 500k Club
  • Victoria 2
  • Europa Universalis IV: El Dorado
  • Cities: Skylines
hmm. Maybe these versions communicate with steam differently and don't work if they are started from eu4.exe. As a workaround you could try to go back to the oldest available version on steam and then delete everything in the eu4 installation folder and then put your 1.8/1.9 files there and then start the game directly from the steam client.
But how did you acquire them? From your previous comments it seems that you had them even though depotdownloader was not working for you. If you acquired them via some illegal means, you probably have a version which is modified to not communicate with steam.


I don't understand this sentence. Does the DLC work in 1.6 or not?

Which manifests did you download and where did you put the files? I think you would need 6975825580552310792 for purple phoenix and 6446907829560694002 for Art of War. For the DLCs to work, you have to put the files dlc006.dlc, dlc006.zip, dlc027.dlc and dlc027.zip in the "dlc" subfolder in the folder where eu4.exe is located.
I did copy the files into the steamapps-folder and the dlc was activated. Still no ironman.
I depotdownloaded them. Finally checked it. Thanks for and due to your help.
In Steam it says ( after starting from a folder not being the steamapps subfolder ) playing EU IV. So there is a connection - yet no ironman. The dlc is inactive ( in 1.8, 1.9 )
Patch 1.6. (also depotdownloaded) had no problems with copied dlc from later versions into the folder ( which I had via Steam-Beta-function - but might make some bugs)
You are right. I donwnloaded those versions of the dlcs.
I put the files into the patches dlc folder and into a subfolder for each dlc, I even unzipped the files. But it made no difference: no dlc active.
When I copied the 1.8 plus art of war and purple phienix into the steamapps/common/..., I could de/select those two, but still no ironman.
Could a firewall issue hinder eu IV for ironman mode?
 

Styliaan

First Lieutenant
15 Badges
May 9, 2015
201
91
  • Europa Universalis IV
  • Europa Universalis IV: Art of War
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Res Publica
  • Cities: Skylines Deluxe Edition
  • Europa Universalis IV: Pre-order
  • Cities: Skylines
  • Europa Universalis IV: El Dorado
  • Magicka 2
  • Europa Universalis IV: Common Sense
  • Europa Universalis IV: Cossacks
  • Stellaris
  • Age of Wonders III
  • Shadowrun Returns
Had a bit of hope when i saw this thread(was linked in another) but looking at the issues faced on this thread and the efforts to go back and play versions im interested in, and the fact ive had EU4 on do not update for ages and still had it force updates, which i assume will happen again and break this, i think im just willing to accept that in next update or 2 there will be no patches left in the list i enjoy. I got my moneys worth for 3k hours. But i think thatll be it for me for these games unless some EU4 classic option or such is available without some major runaround like the current fix.
Art of war- common sense is where i enjoyed the game.

Glad the rest of you found some work around, hope it continues to work for you :-D
 

zyxx

Second Lieutenant
30 Badges
Apr 21, 2010
162
51
  • Europa Universalis III: Chronicles
  • Europa Universalis IV: Pre-order
  • Europa Universalis IV: Res Publica
  • Pirates of Black Cove
  • Heir to the Throne
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Art of War
  • Europa Universalis IV
  • Divine Wind
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis III
  • Cities: Skylines - Campus
  • Europa Universalis IV: Golden Century
  • Cities: Skylines Industries
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Cradle of Civilization
  • Cities: Skylines - Green Cities
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Mandate of Heaven
  • Cities: Skylines - Mass Transit
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Common Sense
  • Europa Universalis III: Collection
  • 500k Club
  • Victoria 2
  • Europa Universalis IV: El Dorado
  • Cities: Skylines
Had a bit of hope when i saw this thread(was linked in another) but looking at the issues faced on this thread and the efforts to go back and play versions im interested in, and the fact ive had EU4 on do not update for ages and still had it force updates, which i assume will happen again and break this, i think im just willing to accept that in next update or 2 there will be no patches left in the list i enjoy. I got my moneys worth for 3k hours. But i think thatll be it for me for these games unless some EU4 classic option or such is available without some major runaround like the current fix.
Art of war- common sense is where i enjoyed the game.

Glad the rest of you found some work around, hope it continues to work for you :-D
If you changed to BETA-version now and copied the downloaded beta-version into another folder - then you could run the game from the euIV.exe-file.
It gets tricky, when the beta-version is no longer available.
 

zyxx

Second Lieutenant
30 Badges
Apr 21, 2010
162
51
  • Europa Universalis III: Chronicles
  • Europa Universalis IV: Pre-order
  • Europa Universalis IV: Res Publica
  • Pirates of Black Cove
  • Heir to the Throne
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Art of War
  • Europa Universalis IV
  • Divine Wind
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis III
  • Cities: Skylines - Campus
  • Europa Universalis IV: Golden Century
  • Cities: Skylines Industries
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Cradle of Civilization
  • Cities: Skylines - Green Cities
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Mandate of Heaven
  • Cities: Skylines - Mass Transit
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Common Sense
  • Europa Universalis III: Collection
  • 500k Club
  • Victoria 2
  • Europa Universalis IV: El Dorado
  • Cities: Skylines
Why is ironman available on 1.10.x and later and not on the earlier versions anymore? Could be that I downloaded them, before they became unavailable as beta-versions - but for v1.10x onwards I can play ironman. But even now, there is obviously a connection to steam, whenever I start eu4, as it says in steam EU4 running.
Although I have the (correct) checksums for each eu4-version, I get the following messages when I hover the mouse over the greyed out-Ironman button.
v1.5.1 0ef1 Ironman mode needs EU4 unmodified and validated.
v1.6.2 e98d Ironman needs Steamcloud enabled and user to be logged on to Steam
v1.7.3 7d7e Ironman needs user to be logged on to Steam
v1.8.1 5d13 Ironman needs user to be logged on to Steam
v1.9.2 e938 Ironman needs user to be logged on to Steam

Anyone knows what these are? Do I need one of them?
VC 2010 Redist
DirectX Jun 2010 Redist
.NET 4.0 Client Profile Redist

Thank you.
 

grotaclas

Field Marshal
41 Badges
Aug 7, 2019
3.267
2.592
  • Europa Universalis IV
  • Victoria 3 Sign Up
  • Europa Universalis IV: Call to arms event
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Res Publica
  • Europa Universalis IV: Art of War
  • Europa Universalis IV: El Dorado
  • Europa Universalis IV: Common Sense
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mandate of Heaven
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Cradle of Civilization
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Golden Century
  • Europa Universalis 4: Emperor
  • Cities: Skylines
v1.5.1 0ef1 Ironman mode needs EU4 unmodified and validated.
v1.6.2 e98d Ironman needs Steamcloud enabled and user to be logged on to Steam
v1.7.3 7d7e Ironman needs user to be logged on to Steam
v1.8.1 5d13 Ironman needs user to be logged on to Steam
v1.9.2 e938 Ironman needs user to be logged on to Steam
For 1.5.1 I get the same message. It seems to be a general issue, because the achievement list on the wiki mentions that achievements are only available for version 1.6 and above.
For 1.6.2 and 1.7.3 I got the same message when cloud saves were disabled, but enabling cloud saves in the eu4 properties in steam fixed it for me.
For 1.8.1 and 1.9.2 I needed to start the game through the steam client to avoid the error message (cloud saves also had to be enabled in steam). The trick that I used was to put the full path of the eu4 executable within double quotes at the beginning of the launch options in steam and after that I put a space and %command%
But putting the files in the normal eu4 installation folder should also work as long as steam doesn't do an update or file verification.
Later I found out that 1.8.1 has the wrong steam_appid.txt and 1.9.2 doesn't have that file. Creating it in the installation folder with the content "236850" (without quotes and without trailing newline) or copying it from 1.6.2 or 1.30.6 should work (but 1.30.1 and the 1.31 versions have the wrong file). With the correct steam_appid.txt the ironman button was enabled when starting the game from its executable file.

All my tests were done on Linux, so it might not apply to windows. For me the depotdownloaded DLCs were shown as active (at least in the cases were the ironman button was working) and at least the random new world button was available from Conquest of Paradise(I didn't test more DLC functionality).

Anyone knows what these are? Do I need one of them?
VC 2010 Redist
DirectX Jun 2010 Redist
.NET 4.0 Client Profile Redist
I'm not sure if any eu4 version needs .NET, but you need to have the correct versions of the Microsoft Visual C++ Redistributable and directx installed to run the windows version of eu4. Which version that is depends on the eu4 version(e.g. 1.31.6 needs the 2019 or 2022 versions of the redistributables and I think 1.31.5 needs at least 2017 and IIRC 1.28 only needed the 2015 version. The 2010 version is probably needed for some very old eu4 versions). But most people have these libraries in their various versions already installed on their computer, because they are needed by a lot of programs. If you don't have the correct version, you won't even be able to start eu4. If you start it from its exe file, you will get a message that you are missing a DLL file.
Likewise missing directx will prevent you from running eu4, but I don't know which versions are needed or which error that would generate(I don't remember anybody who had problems running eu4 due to a missing directx while I have helped dozens if not hundreds of people who were missing some Visual C++ Redistributables).
 
  • 1
Reactions:

zyxx

Second Lieutenant
30 Badges
Apr 21, 2010
162
51
  • Europa Universalis III: Chronicles
  • Europa Universalis IV: Pre-order
  • Europa Universalis IV: Res Publica
  • Pirates of Black Cove
  • Heir to the Throne
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Art of War
  • Europa Universalis IV
  • Divine Wind
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis III
  • Cities: Skylines - Campus
  • Europa Universalis IV: Golden Century
  • Cities: Skylines Industries
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Cradle of Civilization
  • Cities: Skylines - Green Cities
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Mandate of Heaven
  • Cities: Skylines - Mass Transit
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mare Nostrum
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Common Sense
  • Europa Universalis III: Collection
  • 500k Club
  • Victoria 2
  • Europa Universalis IV: El Dorado
  • Cities: Skylines
For 1.5.1 I get the same message. It seems to be a general issue, because the achievement list on the wiki mentions that achievements are only available for version 1.6 and above.
For 1.6.2 and 1.7.3 I got the same message when cloud saves were disabled, but enabling cloud saves in the eu4 properties in steam fixed it for me.
For 1.8.1 and 1.9.2 I needed to start the game through the steam client to avoid the error message (cloud saves also had to be enabled in steam).
Later I found out that 1.8.1 has the wrong steam_appid.txt and 1.9.2 doesn't have that file. Creating it in the installation folder with the content "236850" (without quotes and without trailing newline) or copying it from 1.6.2 should work. With the correct steam_appid.txt the ironman button was enabled when starting the game from its executable file.
I had thought I had steam cloud already enabled in Steam, but I had to tick it in EU4-properties too!
The steam_appid.txt not only enables ironman but also lets me activate dlc in the launcher!
Thanks a lot for your kind sharing.

PS:
Did you manage to play v1.1.3 too? I mean, I tried it - because the ideagroups are different, but whenever I tried to save or load it in the menu, the game crashed.
 
  • 1
Reactions:

JacobiteJames

Second Lieutenant
Nov 11, 2021
176
146
Semi necro but worth it for posts like this which figured out how to give access to all patches
So, I put in a support ticket to make sure it was okay for me to post this and I got the green light, but there is a way to play any EU4 patch that has been released on Steam, even if there is no beta for it.

I want to preface this by saying this method is NOT officially supported by either Valve nor Paradox, and requires third party tools that require your Steam credentials so use at your own risk!

There is a tool called "DepotDownloader" you can download that will allow you to download any depot for any Steam game you own as long as you have the Steam AppID, DepotID, and ManifestID, all of which you can obtain on SteamDB. This does require you to log into your Steam account to use the tool, which is where the risk comes in. You want to download from the "Europa Universalis IV Content" depot, and you can find the manifest you need by comparing the date on the manifest to the related patch.

Then, simply follow the steps hwoosh detailed earlier in this thread.

If there is still some confusion with this method, I can write up a full guide, but it's a bit late so I thought I'd just point you all in the right direction. The documentation for DepotDownloader should tell you everything you need to know to get this working.
But i was just checking codes, and from an old reddit post "EU4R2JvakDKTJ8Cn" was meant to give access to 1.9 and instead gave me 1.4, does this mean with the correct codes we can still access old patches?